// =====================================================================
//  $Id: TShowRunManagerCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TShowRunManagerCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:33  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TShowRunManagerCommand.hh"
#include "TRunManager.hh"

static const Tstring _name = "/run/status";
static const Tstring _desc = "show information of RunManager.";

TShowRunManagerCommand::TShowRunManagerCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TShowRunManagerCommand::~TShowRunManagerCommand()
{;}

Tvoid TShowRunManagerCommand::Execute( const TstringList& arguments )
{
  theRunManager -> ShowStatus();
  return;
}
